Hello

New users please present your self here (no real names needed) so we can prevent spam bots.
Post Reply
matthewdva
Posts: 3
Joined: 17 Jan 2022 05:19

Hello

Post by matthewdva »

Hello,
I am Matthew. I have been using MailScanner and MailWatch for years. I am excited use eFa as part of my technology refresh. I am excited to have an RPM based installation. Although it is still in it infancy, I am hopeful work has begun to add el9 now that CentOS 9 Stream is available. El9 support might also be an opportunity to get eFa added to Fedora and EPEL?

To assist with EL9 support, I have already submitted requests to have the non-powertools rpms built for EPEL-9.

--
Matthew
User avatar
shawniverson
Posts: 3630
Joined: 13 Jan 2014 23:30
Location: Indianapolis, Indiana USA
Contact:

Re: Hello

Post by shawniverson »

:text-welcomewave:

Yes, I have started on EL9 support. Lots of packages to make!
matthewdva
Posts: 3
Joined: 17 Jan 2022 05:19

Re: Hello

Post by matthewdva »

Wanted to followup on EL9 support. Can I help building packages or updating the install script?

--
Matthew
User avatar
shawniverson
Posts: 3630
Joined: 13 Jan 2014 23:30
Location: Indianapolis, Indiana USA
Contact:

Re: Hello

Post by shawniverson »

Time is precious. I'll get back to this soon. Feel free to jump in and see what we are up against (it is a lot).
matthewdva
Posts: 3
Joined: 17 Jan 2022 05:19

Re: Hello

Post by matthewdva »

Apologies for the delay in getting back to you. I have noticed things are a lot closer to installing on EL9. I have taken the liberty of building the RPMs using a build system. I had to make few (hopefully minor) changes to get them to build. It now builds and installs (not tested) on EL9. There are still a few straggling issues with the install I still need address DM me and I can supply you with the url for the repo.

Changes I made:
- Dropped support el7
- Updated dcc so it does not need to build as root
- Add php compose results in the source tar file so it does not run during rpm build.
- Ran compose update. Updated symphony-bundle to the latest release (It needs to be replace as the project has been abandoned. I am not a php developer so this is not in my skill-set)
- Dropped development packages from RPM requirements
- Reduced the number perl modules rpms needing to be built since EPEL or Base now can supply them.

Todo:
Fix missing dcc_conf file is missing after install.
Update perl module spec files with complete list of BuildRequire statements.
Full testing.

--
Matthew
User avatar
shawniverson
Posts: 3630
Joined: 13 Jan 2014 23:30
Location: Indianapolis, Indiana USA
Contact:

Re: Hello

Post by shawniverson »

Look forward to seeing what you have done.
Post Reply